<!-- general form elements -->
<!--<div class="card card-primary">-->
<!--  <div class="card-header">-->
<!--    <h3 class="card-title">Concerned Avatars</h3>-->
<!--  </div>-->
  <!-- /.card-header -->
  <!-- form start -->
<!--  <div class="card-body">-->

    <!-- /.card-header -->

    <!-- /.card-header -->
<!--    <div class="table-responsive p-0" style="height: 265px;margin: -20px">-->
      <div class="card-body" style="margin: -20px">
      <table class="table table-head-fixed text-nowrap" style="margin: -20px">
        <thead>
        <tr>
<!--          <th>ID</th>-->
          <th>User Name</th>
          <th>Rating</th>
          <!--                      <th>FirstName</th>-->
          <!--                      <th>LastName</th>-->
          <th>Details</th>

        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let m of avatars">
<!--          <td>{{m.id}}</td>-->
          <td>{{m.username}}</td>
          <td>
            <ng-template #t let-fill="fill">
  <span class="star" [class.full]="fill === 100">
    <span class="half" [style.width.%]="fill">&#9733;</span>&#9733;
  </span>
            </ng-template>

            <ngb-rating [(rate)]="m.rating" [starTemplate]="t" [readonly]="true" [max]="5"></ngb-rating>

          </td>
          <td><i class="fas fa-info-circle" (click)="openDialog(m.id)" ></i>
            <i class="fas fa-star" style="margin-left: 10px" (click)="openDialogRates(m.email)" ></i></td>

          <!--   [routerLink]="['/avatarinformation', m.id]"
              (click)="openDialog(m.username)"
           <td>{{m.firstName}}</td>-->
          <!--                      <td>{{m.lastName}}</td>-->
          <!--                      <td><span class="tag tag-success">Approved</span></td>-->

        </tr>

        </tbody>
      </table>
      </div>
<!--    </div>-->
    <!-- /.card-body -->

    <!-- /.card-body -->
<!--  </div>-->
<!--</div>-->
<!-- /.card -->
